﻿@model User
@{
    ViewData["Title"] = "Профиль пользователя";
    string stateSubscription = null;
    if(ViewBag.StateSubscription == null)
    {
        stateSubscription = "Подписаться";
    }
    else
    {
        stateSubscription = ViewBag.StateSubscription.SubscriptionStatus;
    }
}
<h1>Профиль</h1>
<hr/>
<body>
<div>
    <p style="margin-left: 100px;"><img src="~/@Model.ImagePath" style="width: 100px; height: 100px;"/></p>
    <dl class="row">
        <dt class="col-sm-2">
            Имя
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Name)
        </dd>
        <dt class="col-sm-2">
            Email
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Email)
        </dd>
        <dt class="col-sm-2">
            Обо мне
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.AboutMe)
        </dd>
        <dt class="col-sm-2">
            Пол
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Gender)
        </dd>
        <dt class="col-sm-2">
            Публикаций
        </dt>
        <dd class="col-sm-10">
            <a asp-action="Publications" asp-controller="Publication" asp-route-id="@Model.Id">@Model.PublicationCount</a>
        </dd>
    </dl>
    <form class="form-control-sm" id="subscribe">
        <a class="btn btn-dark"style="cursor: pointer;color: aliceblue">@stateSubscription</a>
    </form>
    <script>

        $(document).ready(function() {

            $('#subscribe').click(function(e) {

                e.preventDefault();

                var key = '@Model.Id';

                this.key = encodeURIComponent(key);


                $('#subscribe').load('@Url.Action("Subscribe", "User")', { key: key });

            });
        });
    </script>
</div>
</body>

